package org.jcomet.dynamic;

/**
 * This listener is notified when a propery in the Dynamic property object it was registered to was changed 
 * @author Amir Shevat
 *
 */
public interface PropertyChangedListener {
	
	/**
	 * Called when a propery in the Dynamic property object it was registered to was changed
	 * @param key the key that its value was changed
	 * @param oldValue the old, changed value
	 * @param newValue the new value
	 */
	public void propertyChanged(String key, String oldValue, String newValue);

}
